Bug 1592571 - Service Dialog Editor localization in French Incomplete
Summary: Service Dialog Editor localization in French Incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Shveta
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1578510
TreeView+ depends on / blocked
 
Reported: 2018-06-18 21:46 UTC by David Luong
Modified: 2018-11-05 13:59 UTC (History)
13 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 13:58:27 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Service dialog editor (130.75 KB, image/png)
2018-10-02 16:13 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:13 UTC

Description David Luong 2018-06-18 21:46:33 UTC
Description of problem:
In CloudForms 4.5, the localization of the service dialog editor looks pretty complete.  However in 4.6, many of the fields are in English.

Version-Release number of selected component (if applicable):
CFME 5.9.2

How reproducible:
Always

Steps to Reproduce:
1.  Set locale to French
2.
3.

Actual results:
Many fields are in English

Expected results:
Most if not all fields in French

Additional info:

Comment 8 Milan Zázrivec 2018-06-25 06:45:29 UTC
This part of our UI was re-written from ruby to angular recently.

I'm re-assigning this bz over to chhale@redhat.com, who's
the author (iirc) and knows the code much better than me.

Thanks.

Comment 24 Milan Zázrivec 2018-07-24 16:26:18 UTC
The only PR that's currently still waiting for review & merge
is https://github.com/ManageIQ/manageiq/pull/17740

Otherwise I need to have the translations done & merged before
I can move this one to POST.

Comment 25 CFME Bot 2018-07-25 21:52:06 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a9e043da20d0e00ba313063bfb30f5e3ce63d653
commit a9e043da20d0e00ba313063bfb30f5e3ce63d653
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Fri Jul 20 08:40:17 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Fri Jul 20 08:40:17 2018 -0400

    Merge pull request #4323 from mzazrivec/add_angular_gettext_and_make_translation_directive_working

    Add angular gettext and make translation directive working
    (cherry picked from commit b108b45fc773ed02c0a8dc76cf866ae56e9032d4)

    https://bugzilla.redhat.com/show_bug.cgi?id=1592571

 app/assets/javascripts/application.js | 2 +
 app/assets/javascripts/gettextCatalog.js | 12 +
 app/assets/javascripts/miq_angular_application.js | 1 +
 package.json | 1 +
 4 files changed, 16 insertions(+)

Comment 26 CFME Bot 2018-08-05 05:11:02 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/23aed0ac017c9a20bda94c98818d9e8880de7845
commit 23aed0ac017c9a20bda94c98818d9e8880de7845
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jul 18 10:28:00 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Jul 18 10:28:00 2018 -0400

    locale:po_to_json: add support for including catalogs from js plugins

    (cherry picked from commit 60bac8255f8fbd95fde2c44356b9b70771b34413)

    https://bugzilla.redhat.com/show_bug.cgi?id=1592571

 lib/tasks/locale.rake | 72 +-
 1 file changed, 51 insertions(+), 21 deletions(-)

Comment 28 Milan Zázrivec 2018-08-06 11:54:23 UTC
(In reply to John Prause from comment #27)
> Milan: It appears the PRs are all merged. If there's nothing else needed,
> can you move this to POST.

The BZ stays in ON_DEV.

Comment 31 Milan Zázrivec 2018-08-07 13:55:29 UTC
(In reply to John Prause from comment #27)
> Milan: It appears the PRs are all merged. If there's nothing else needed,
> can you move this to POST.

Please, read comment #24, it may help you.

Comment 32 John Prause 2018-08-07 14:54:47 UTC
Thanks Milan, your response in comment 30 was exactly what I was looking for.

Comment 35 Marianne Feifer 2018-08-15 21:09:12 UTC
Change to 5.9.5 per Bascar

Comment 40 Shveta 2018-10-02 16:13:45 UTC
Created attachment 1489517 [details]
Service dialog editor

Verified in 5.9.5.0.20180927190514_e161d8f

Comment 42 errata-xmlrpc 2018-11-05 13:58:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.